---

haproxy_frontends:
  - name: http
    address: "*:80"
    mode: tcp
    backend: http
  - name: https
    address: "*:443"
    mode: tcp
    backend: https

  - name: ldap
    address: "*:389"
    mode: tcp
    backend: ldap
  - name: ldaps
    address: "*:636"
    mode: tcp
    backend: ldaps

  - name: krb5
    address: "*:88"
    mode: tcp
    backend: krb5
  - name: kadmin
    address: "*:464"
    mode: tcp
    backend: kadmin
  - name: kpasswd
    address: "*:749"
    mode: tcp
    backend: kpasswd

  - name: salt-publish
    address: "*:4505"
    mode: tcp
    backend: salt-publish
  - name: salt-ret
    address: "*:4506"
    mode: tcp
    backend: salt-ret

haproxy_backends:
  - name: http
    mode: tcp
    check: false
    servers:
      - name: services
        address: 192.168.1.20:80
        extra_opts: send-proxy
  - name: https
    mode: tcp
    check: false
    servers:
      - name: services
        address: 192.168.1.20:443
        extra_opts: send-proxy

  - name: ldap
    mode: tcp
    check: false
    servers:
      - name: auth
        address: 192.168.1.30:1389
        extra_opts: send-proxy
  - name: ldaps
    mode: tcp
    check: false
    servers:
      - name: auth
        address: 192.168.1.30:1636
        extra_opts: send-proxy

  - name: krb5
    mode: tcp
    check: false
    servers:
      - name: auth
        address: 192.168.1.30:188
        extra_opts: send-proxy
  - name: kadmin
    mode: tcp
    check: false
    servers:
      - name: auth
        address: 192.168.1.30:1464
        extra_opts: send-proxy
  - name: kpasswd
    mode: tcp
    check: false
    servers:
      - name: auth
        address: 192.168.1.30:1749
        extra_opts: send-proxy

  - name: salt-publish
    mode: tcp
    check: false
    servers:
      - name: services
        address: 192.168.1.20:4505
  - name: salt-ret
    mode: tcp
    check: false
    servers:
      - name: services
        address: 192.168.1.20:4506
